GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "3103293d-3ed3-4f64-9783-280280f5a4bd",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "25160626-c11d-4389-b26c-f2c277e30049",
"local_ip": "sample string 7",
"lock_id": "f8e8d05d-207a-41d5-991e-52b000b36c17",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "dab6dc19-2625-40c8-a8f1-f28af9c04b04",
"rights": [
{
"code": "sample string 1",
"id": "c0de0803-b0e9-4f89-b59a-99202ce47830"
},
{
"code": "sample string 1",
"id": "c0de0803-b0e9-4f89-b59a-99202ce47830"
}
],
"site_id": "b36af0d2-015d-4dc6-b7e4-399ac20e5654",
"zone_id": "a1f34474-ae37-4f1d-a8d3-9551552926ce"
},
{
"active": true,
"cleanroom_id": "3103293d-3ed3-4f64-9783-280280f5a4bd",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "25160626-c11d-4389-b26c-f2c277e30049",
"local_ip": "sample string 7",
"lock_id": "f8e8d05d-207a-41d5-991e-52b000b36c17",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "dab6dc19-2625-40c8-a8f1-f28af9c04b04",
"rights": [
{
"code": "sample string 1",
"id": "c0de0803-b0e9-4f89-b59a-99202ce47830"
},
{
"code": "sample string 1",
"id": "c0de0803-b0e9-4f89-b59a-99202ce47830"
}
],
"site_id": "b36af0d2-015d-4dc6-b7e4-399ac20e5654",
"zone_id": "a1f34474-ae37-4f1d-a8d3-9551552926ce"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>3103293d-3ed3-4f64-9783-280280f5a4bd</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>25160626-c11d-4389-b26c-f2c277e30049</id>
<local_ip>sample string 7</local_ip>
<lock_id>f8e8d05d-207a-41d5-991e-52b000b36c17</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>dab6dc19-2625-40c8-a8f1-f28af9c04b04</pc_type_id>
<rights>
<right>
<ID>c0de0803-b0e9-4f89-b59a-99202ce47830</ID>
<code>sample string 1</code>
</right>
<right>
<ID>c0de0803-b0e9-4f89-b59a-99202ce47830</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>b36af0d2-015d-4dc6-b7e4-399ac20e5654</site_id>
<zone_id>a1f34474-ae37-4f1d-a8d3-9551552926ce</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>3103293d-3ed3-4f64-9783-280280f5a4bd</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>25160626-c11d-4389-b26c-f2c277e30049</id>
<local_ip>sample string 7</local_ip>
<lock_id>f8e8d05d-207a-41d5-991e-52b000b36c17</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>dab6dc19-2625-40c8-a8f1-f28af9c04b04</pc_type_id>
<rights>
<right>
<ID>c0de0803-b0e9-4f89-b59a-99202ce47830</ID>
<code>sample string 1</code>
</right>
<right>
<ID>c0de0803-b0e9-4f89-b59a-99202ce47830</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>b36af0d2-015d-4dc6-b7e4-399ac20e5654</site_id>
<zone_id>a1f34474-ae37-4f1d-a8d3-9551552926ce</zone_id>
</pc>
</ArrayOfpc>